Subject: Re: bug#46878: 27.1; lisp-outline-level returns imprecise level number

From: Howard Melman <[email-masked]>
Date: Wed, 3 Mar 2021 15:04:25 -0500

> On Mar 3, 2021, at 2:04 PM, Juri Linkov <[email-masked]> wrote:
> 
> Some packages like https://jurta.org/en/emacs/ee/outline
> showed all 4 useless additional levels.
> 
> Now thanks to your new definition, all such visual noise is removed:
> 
> - (no-heading)
> - (no-heading)
>  - (no-heading)
>   - (no-heading)
> 
> and only one top heading is displayed:
> 
> - (no-heading)
>   ;;; ee-outline.el --- manipulate outlines collected from outline-mode
>   ;;; Commentary:
> - ;;; Code:

Great.  I came about it because I hope consult-outline adds an argument 
to let the user choose headings from the top N levels, so that's why the 
numbering became important for me.

Hopefully no reports a downside which is why I asked about any visible
changes in what is shipped with emacs.

Howard